<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>
      Covid 19 Information App
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
<ion-fab-button [routerLink] = "['/select-countries']">
  <ion-icon name = "add"></ion-icon>
</ion-fab-button>
<ion-item><b>Covid 19 Global Information </b></ion-item>

<ion-item>{{lastDate| date : 'dd/MM/yyyy HH:mm'}}</ion-item>
<ion-card color = "primary" id = "container">
  <ion-card-title >New Confirmed</ion-card-title>
 <h2> {{summary.NewConfirmed|number:0}}</h2>
</ion-card>
<ion-card color = "primary" id = "container">
  <ion-card-title>Total Confirmed</ion-card-title>
  <h2>{{summary.TotalConfirmed|number:0}}</h2>
</ion-card>
<ion-card color = "secondary" id = "container">
  <ion-card-title>New Deaths</ion-card-title>
  <h2>{{summary.NewDeaths|number:0}}</h2>
</ion-card>
<ion-card color = "secondary" id = "container">
  <ion-card-title>Total Deaths</ion-card-title>
  <h2>{{summary.TotalDeaths|number:0}}</h2>
</ion-card>
<ion-card color = "warning" id = "container">
  <ion-card-title>New Recovered</ion-card-title>
  <h2>{{summary.NewRecovered|number:0}}</h2>
</ion-card>
<ion-card color = "warning" id = "container">
  <ion-card-title>Total Recovered</ion-card-title>
  <h2>{{summary.TotalRecovered|number:0}}</h2>
</ion-card>
<ion-card *ngFor= "let country of countries_n">
  <ion-card-header>
    <h1>{{country.Country}}</h1>
  </ion-card-header>
  
  <ion-card color = "primary" id = "container">
    <ion-icon name="bug-outline" size="large"></ion-icon><ion-card-title >New Confirmed</ion-card-title>
    <h2>{{country.NewConfirmed|number:0}}</h2>
  </ion-card>
  <ion-card color = "primary" id = "container">
    <ion-icon name="bug-outline" size="large"></ion-icon><ion-card-title>Total Confirmed</ion-card-title>
    <h2>{{country.TotalConfirmed|number:0}}</h2>
  </ion-card>
  <ion-card color = "secondary" id = "container">
    <ion-icon name="skull-outline" size="large"></ion-icon><ion-card-title>New Deaths</ion-card-title>
    <h2>{{country.NewDeaths|number:0}}</h2>
  </ion-card>
  <ion-card color = "secondary" id = "container">
    <ion-icon name="skull-outline" size="large"></ion-icon><ion-card-title>Total Deaths</ion-card-title>
    <h2>{{country.TotalDeaths|number:0}}</h2>
  </ion-card>
  <ion-card color = "warning" id = "container">
    <ion-icon name="bandage-outline" size="large"></ion-icon><ion-card-title>New Recovered</ion-card-title>
    <h2>{{country.NewRecovered|number:0}}</h2>
  </ion-card>
  <ion-card color = "warning" id = "container">
    <ion-icon name="bandage-outline" size="large"></ion-icon> <ion-card-title>Total Recovered</ion-card-title>
    <h2>{{country.TotalRecovered|number:0}}</h2>
  </ion-card>
  <ion-card color ="danger" id ="container">
    <ion-icon name="close-circle-outline" size="large"></ion-icon>
   <h1> <a id = "{{country.CountryCode}}" href ='#' (click)="removeCountry(country.CountryCode)"> Eliminate </a></h1>
  </ion-card>
  

</ion-card>

